%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}

Name:           mingw-cppunit
Version:        1.12.1
Release:        %mkrel 21
Summary:        MinGW Windows C++ unit testing framework

Group:          Development/Java
License:        LGPLv2+
URL:            http://cppunit.sourceforge.net/
Source0:        https://downloads.sourceforge.net/cppunit/cppunit-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
Requires: pkgconfig

%description
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised 
tests.

MinGW Windows C++ unit testing framework.


%package -n mingw32-cppunit
Summary:        MinGW Windows C++ unit testing framework

%description -n mingw32-cppunit
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised
tests.

MinGW Windows C++ unit testing framework.


%prep
%setup -q -n cppunit-%{version}
for file in THANKS ChangeLog NEWS; do
   iconv -f latin1 -t utf8 < $file > ${file}.utf8
   touch -c -r $file ${file}.utf8
   mv ${file}.utf8 $file
done


%build
%global mingw_build_win64 0
%mingw_configure --disable-static --disable-doxygen
%mingw_make_build


%install
%mingw_make_install

# Remove the .la files
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la


%files -n mingw32-cppunit
%doc AUTHORS COPYING NEWS README THANKS ChangeLog TODO BUGS doc/FAQ
%{mingw32_bindir}/cppunit-config
%{mingw32_bindir}/DllPlugInTester.exe
%{mingw32_includedir}/cppunit/
%{mingw32_bindir}/libcppunit-*.dll
%{mingw32_libdir}/pkgconfig/cppunit.pc
%{mingw32_libdir}/libcppunit.dll.a
%{mingw32_datadir}/aclocal/cppunit.m4
%exclude %{mingw32_mandir}/man1/cppunit-config.1




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.12.1-21.mga9
+ Revision: 1813759
- Mageia 9 Mass Rebuild

* Tue Dec 22 2020 wally <wally> 1.12.1-20.mga8
+ Revision: 1662923
- use updated mingw macros for building

* Sat Sep 26 2020 tv <tv> 1.12.1-19.mga8
+ Revision: 1630261
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 1.12.1-18.mga8
+ Revision: 1492000
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.12.1-17.mga7
+ Revision: 1264265
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.12.1-16.mga6
+ Revision: 942557
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.12.1-15.mga5
+ Revision: 750478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.1-14.mga5
+ Revision: 682415
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.12.1-13.mga4
+ Revision: 536158
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.12.1-12.mga4
+ Revision: 483477
- imported package mingw-cppunit


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 1.12.1-9
- Remove the .la files

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.12.1-8
- Renamed the source package to mingw-cppunit (RHBZ #800853)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.12.1-7
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 1.12.1-5
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct  4 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.12.1-3
- Rebuild for MinGW debuginfo breakage

* Mon Aug 17 2009 Nicolas Chauvet <kwizart@gmail.com> - 1.12.1-2
- Fix BR mingw32-gcc-c++
- Update description
- Disable duplicated docs with native package.

* Mon Jan  5 2009 Nicolas Chauvet <kwizart@gmail.com> - 1.12.1-1
- Initial package based on original cppunit.spec

